## org.omg.Messaging
Class ReplyEndTimePolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.ReplyEndTimePolicyHelper

public class ReplyEndTimePolicyHelper
extends java.lang.Object

Helper class for : ReplyEndTimePolicy

Author:
  OpenORB Compiler

Constructor Summary
`ReplyEndTimePolicyHelper()`

Method Summary
`static ReplyEndTimePolicy` `extract(Any a)` Extract ReplyEndTimePolicy from an any
`static java.lang.String` `id()` Return the ReplyEndTimePolicy IDL ID
`static void` `insert(Any a, ReplyEndTimePolicy t)` Insert ReplyEndTimePolicy into an any
`static ReplyEndTimePolicy` `narrow(Object obj)` Narrow CORBA::Object to ReplyEndTimePolicy
`static ReplyEndTimePolicy` `read(InputStream istream)` Read ReplyEndTimePolicy from a marshalled stream
`static TypeCode` `type()` Return the ReplyEndTimePolicy TypeCode
`static ReplyEndTimePolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ReplyEndTimePolicy
`static void` `write(OutputStream ostream, ReplyEndTimePolicy value)` Write ReplyEndTimePolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplyEndTimePolicyHelper

    public ReplyEndTimePolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ReplyEndTimePolicy t)

  Insert ReplyEndTimePolicy into an any
  Parameters:
    `a` - an any
    `t` - ReplyEndTimePolicy value

### extract

    public static ReplyEndTimePolicy extract(Any a)

  Extract ReplyEndTimePolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ReplyEndTimePolicy value

### type

    public static TypeCode type()

  Return the ReplyEndTimePolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ReplyEndTimePolicy IDL ID
  Returns:
    an ID

### read

    public static ReplyEndTimePolicy read(InputStream istream)

  Read ReplyEndTimePolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ReplyEndTimePolicy value

### write

    public static void write(OutputStream ostream,
                             ReplyEndTimePolicy value)

  Write ReplyEndTimePolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ReplyEndTimePolicy value

### narrow

    public static ReplyEndTimePolicy narrow(Object obj)

  Narrow CORBA::Object to ReplyEndTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ReplyEndTimePolicy Object

### unchecked_narrow

    public static ReplyEndTimePolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ReplyEndTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ReplyEndTimePolicy Object